Subject: Re: How to pull a single changeset from a child branch into a parent branch?

From: Ben Greear <[email-masked]>
Date: Fri, 10 Feb 2006 13:16:21 -0800

Junio C Hamano wrote:
> Ben Greear <[email-masked]> writes:
> 
> 
>>I have a linux-2.6 repo with two branches off of 2.6.13.
>>
>>One branch (ben_v13) has just my own changes.
>>A second branch (work_v13) has the 2.6.13.5 patch, and I've also pulled
>>ben_v13 into it.
> 
> 
>                      "2.6.13.5"
>          o---o---o---o
>         /             \ "work_v13"
>     ---o "2.6.13"  .---*
>         \         /
>          o---o---o
>                  "ben_v13"
> 
> 	'o' are commits, '*' is a merge.
> 
> 
>>Now, I made a small change to work_v13,
> 
> 
>                      "2.6.13.5"
>          o---o---o---o
>         /             \   "work_v13"
>     ---o "2.6.13"  .---*---x
>         \         /        (new change)
>          o---o---o
>                  "ben_v13"
> 
> 
>>... and I'd like to pull only
>>that changeset into ben_v13.  Is there a way to do that w/out
>>having to export and apply a patch?
> 
> 
> I would have done things differently.

Yeah, the main problem is that I test in the combined tree
and forgot to change to the ben_v13 tree before making
my changes...

I'll try out the cherry-pick option..and if that doesn't
work, I'll just manually patch the changes into the ben_v13
tree.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com